diff --git a/src/test/regress/expected/interval.out b/src/test/regress/expected/interval.out
index 0adfe5f9fb..ebb4208ad7 100644
--- a/src/test/regress/expected/interval.out
+++ b/src/test/regress/expected/interval.out
@@ -2161,6 +2161,26 @@ SELECT interval '-infinity' * 'nan';
 ERROR:  interval out of range
 SELECT interval '-1073741824 months -1073741824 days -4611686018427387904 us' * 2;
 ERROR:  interval out of range
+SELECT interval 'infinity' * 0;
+ERROR:  interval out of range
+SELECT interval '-infinity' * 0;
+ERROR:  interval out of range
+SELECT interval '0 days' * 'infinity'::float;
+ERROR:  interval out of range
+SELECT interval '0 days' * '-infinity'::float;
+ERROR:  interval out of range
+SELECT interval '5 days' * 'infinity'::float;
+ ?column? 
+----------
+ infinity
+(1 row)
+
+SELECT interval '5 days' * '-infinity'::float;
+ ?column?  
+-----------
+ -infinity
+(1 row)
+
 SELECT interval 'infinity' / 'infinity';
 ERROR:  interval out of range
 SELECT interval 'infinity' / '-infinity';
diff --git a/src/test/regress/sql/interval.sql b/src/test/regress/sql/interval.sql
index 1e1d8560bf..549ceb57c1 100644
--- a/src/test/regress/sql/interval.sql
+++ b/src/test/regress/sql/interval.sql
@@ -690,6 +690,12 @@ SELECT -interval '-2147483647 months -2147483647 days -9223372036854775807 us';
 SELECT interval 'infinity' * 'nan';
 SELECT interval '-infinity' * 'nan';
 SELECT interval '-1073741824 months -1073741824 days -4611686018427387904 us' * 2;
+SELECT interval 'infinity' * 0;
+SELECT interval '-infinity' * 0;
+SELECT interval '0 days' * 'infinity'::float;
+SELECT interval '0 days' * '-infinity'::float;
+SELECT interval '5 days' * 'infinity'::float;
+SELECT interval '5 days' * '-infinity'::float;
 
 SELECT interval 'infinity' / 'infinity';
 SELECT interval 'infinity' / '-infinity';
